/*
 * Copyright 2012 <a href="mailto:lincolnbaxter@gmail.com">Lincoln Baxter, III</a>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ocpsoft.prettytime.i18n;

import java.util.ListResourceBundle;

public class Resources_en extends ListResourceBundle
{
   private static final Object[][] OBJECTS = new Object[][] {
            { "CenturyPattern", "%n %u" },
            { "CenturyFuturePrefix", "" },
            { "CenturyFutureSuffix", " from now" },
            { "CenturyPastPrefix", "" },
            { "CenturyPastSuffix", " ago" },
            { "CenturySingularName", "century" },
            { "CenturyPluralName", "centuries" },
            { "DayPattern", "%n %u" },
            { "DayFuturePrefix", "" },
            { "DayFutureSuffix", " from now" },
            { "DayPastPrefix", "" },
            { "DayPastSuffix", " ago" },
            { "DaySingularName", "day" },
            { "DayPluralName", "days" },
            { "DecadePattern", "%n %u" },
            { "DecadeFuturePrefix", "" },
            { "DecadeFutureSuffix", " from now" },
            { "DecadePastPrefix", "" },
            { "DecadePastSuffix", " ago" },
            { "DecadeSingularName", "decade" },
            { "DecadePluralName", "decades" },
            { "HourPattern", "%n %u" },
            { "HourFuturePrefix", "" },
            { "HourFutureSuffix", " from now" },
            { "HourPastPrefix", "" },
            { "HourPastSuffix", " ago" },
            { "HourSingularName", "hour" },
            { "HourPluralName", "hours" },
            { "JustNowPattern", "%u" },
            { "JustNowFuturePrefix", "" },
            { "JustNowFutureSuffix", "moments from now" },
            { "JustNowPastPrefix", "moments ago" },
            { "JustNowPastSuffix", "" },
            { "JustNowSingularName", "" },
            { "JustNowPluralName", "" },
            { "MillenniumPattern", "%n %u" },
            { "MillenniumFuturePrefix", "" },
            { "MillenniumFutureSuffix", " from now" },
            { "MillenniumPastPrefix", "" },
            { "MillenniumPastSuffix", " ago" },
            { "MillenniumSingularName", "millennium" },
            { "MillenniumPluralName", "millennia" },
            { "MillisecondPattern", "%n %u" },
            { "MillisecondFuturePrefix", "" },
            { "MillisecondFutureSuffix", " from now" },
            { "MillisecondPastPrefix", "" },
            { "MillisecondPastSuffix", " ago" },
            { "MillisecondSingularName", "millisecond" },
            { "MillisecondPluralName", "milliseconds" },
            { "MinutePattern", "%n %u" },
            { "MinuteFuturePrefix", "" },
            { "MinuteFutureSuffix", " from now" },
            { "MinutePastPrefix", "" },
            { "MinutePastSuffix", " ago" },
            { "MinuteSingularName", "minute" },
            { "MinutePluralName", "minutes" },
            { "MonthPattern", "%n %u" },
            { "MonthFuturePrefix", "" },
            { "MonthFutureSuffix", " from now" },
            { "MonthPastPrefix", "" },
            { "MonthPastSuffix", " ago" },
            { "MonthSingularName", "month" },
            { "MonthPluralName", "months" },
            { "SecondPattern", "%n %u" },
            { "SecondFuturePrefix", "" },
            { "SecondFutureSuffix", " from now" },
            { "SecondPastPrefix", "" },
            { "SecondPastSuffix", " ago" },
            { "SecondSingularName", "second" },
            { "SecondPluralName", "seconds" },
            { "WeekPattern", "%n %u" },
            { "WeekFuturePrefix", "" },
            { "WeekFutureSuffix", " from now" },
            { "WeekPastPrefix", "" },
            { "WeekPastSuffix", " ago" },
            { "WeekSingularName", "week" },
            { "WeekPluralName", "weeks" },
            { "YearPattern", "%n %u" },
            { "YearFuturePrefix", "" },
            { "YearFutureSuffix", " from now" },
            { "YearPastPrefix", "" },
            { "YearPastSuffix", " ago" },
            { "YearSingularName", "year" },
            { "YearPluralName", "years" },
            { "AbstractTimeUnitPattern", "" },
            { "AbstractTimeUnitFuturePrefix", "" },
            { "AbstractTimeUnitFutureSuffix", "" },
            { "AbstractTimeUnitPastPrefix", "" },
            { "AbstractTimeUnitPastSuffix", "" },
            { "AbstractTimeUnitSingularName", "" },
            { "AbstractTimeUnitPluralName", "" } };

   @Override
   public Object[][] getContents()
   {
      return OBJECTS;
   }

}
